[[#if (hasPermission "home:view-admin:*")]]
<div class="page">
<div class="container-fluid adminPage-header-container">
<bs-row class="row-center">
<bs-col class="adminPage-header--col pr-0" lg="8" md="10" sm="10" xs="11">
<div class="adminPage-header--content">
<div class="adminPage-header--thumbnail">
<i class="fa fa-list-ul fa-lg">
</i>
</div>
<div class="adminPage-header--body">
<h2>
       [[i18n "knowledge_pattern" bundle="languages/resource_system_fields_field" locale=this.lang]]
       <mp-label iri="[[this]]">
</mp-label>
</h2>
</div>
</div>
</bs-col>
</bs-row>
<!--  close row -->
</div>
<div class="container-fluid" style="margin-bottom:60px;">
<bs-row class="row-center">
<bs-col class="pr-0" lg="8" md="10" sm="10" xs="11">
<div class="pull-right" style="margin-bottom: 10px; display: flex;">
     [[#if (hasPermission "api:ldp:container:<http: fielddefinitioncontainer="" resource="" system="" www.researchspace.org="">:export:any")]]
     <mp-ldp-export-resource iri="[[this]]">
<button class="btn-grey" style="margin-right: 4px;">
<i aria-hidden="true" class="fa fa-download btn-icon-left">
</i>
       [[i18n "export" bundle="languages/resource_system_fields_field" locale=this.lang]]
      </button>
</mp-ldp-export-resource>
     [[/if]]
            
            [[#if (hasPermission "api:ldp:container:<http: fielddefinitioncontainer="" resource="" system="" www.researchspace.org="">:create:any")]]
     <mp-ldp-duplicate-resource-action container="http://www.researchspace.org/resource/system/fieldDefinitionContainer" iri="[[this]]" label="new Knowledge Pattern IRI">
<button class="btn-grey" style="margin-right:8px;">
<i aria-hidden="true" class="fa fa-files-o btn-icon-left">
</i>
       [[i18n "duplicate" bundle="languages/resource_system_fields_field" locale=this.lang]]
      </button>
</mp-ldp-duplicate-resource-action>
     [[/if]]
            
            [[#if (hasPermission "api:ldp:container:<http: fielddefinitioncontainer="" resource="" system="" www.researchspace.org="">:delete:any")]]
     <mp-ldp-remove-from-container-action container="http://www.researchspace.org/resource/system/fieldDefinitionContainer" iri="[[this]]" post-action="http://www.researchspace.org/resource/assets/Fields">
<button class="btn-grey">
<i aria-hidden="true" class="fa fa-trash btn-icon-left">
</i>
       [[i18n "delete" bundle="languages/resource_system_fields_field" locale=this.lang]]
      </button>
</mp-ldp-remove-from-container-action>
     [[/if]]
    </http:></http:></http:></div>
<div style="clear: both;">
</div>
<field-editor field-iri="[[this]]">
</field-editor>
<h2 style="margin-top: 20px; margin-bottom: 15px;">
     [[i18n "knowledge_pattern_1" bundle="languages/resource_system_fields_field" locale=this.lang]]
    </h2>
<semantic-form browser-persistence="false" debug="false" fields='[[fieldDefinitionsFromQuery "SELECT ?field { BIND(?? AS ?field) }"]]'>
<bs-tabs>
<bs-tab event-key="1" title="[[i18n 'plain_input' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<semantic-form-text-input for="[[this]]" render-header="true">
</semantic-form-text-input>
</bs-tab>
<bs-tab event-key="2" title="[[i18n 'autocomplete_input' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<semantic-form-autocomplete-input for="[[this]]">
</semantic-form-autocomplete-input>
</bs-tab>
<bs-tab event-key="3" title="[[i18n 'select_input' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<semantic-form-select-input data-for="[[this]]">
</semantic-form-select-input>
</bs-tab>
<bs-tab event-key="4" title="[[i18n 'date_input' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<semantic-form-datetime-input for="[[this]]">
</semantic-form-datetime-input>
</bs-tab>
<bs-tab event-key="5" title="[[i18n 'tree_input' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<semantic-form-tree-picker-input for="[[this]]">
</semantic-form-tree-picker-input>
</bs-tab>
</bs-tabs>
</semantic-form>
<h2 style="margin-top: 40px;">
     [[i18n "json_configuration" bundle="languages/resource_system_fields_field" locale=this.lang]]
    </h2>
<i style="color:red;font-size: 11px;">
     [[i18n "please_be" bundle="languages/resource_system_fields_field" locale=this.lang]]
     <b>
      [[this]]
     </b>
</i>
<mp-code-block mode="application/json">
<![CDATA[
                      [[fieldDefinitions example=(this)]]
                      ]]>
</mp-code-block>
</bs-col>
</bs-row>
<!--  close row -->
</div>
</div>
[[else]]

<div class="page__body">
<bs-tabs id="tabs" unmount-on-exit="true">
<bs-tab event-key="0" title="[[i18n 'summary' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<h1>
<mp-label iri="[[this]]">
</mp-label>
</h1>
<semantic-if query="ASK WHERE {{<[[this]]>  a rdf:Property} UNION {<[[this]]>  a owl:ObjectProperty}}">
<template id="then">
<semantic-query query="
                SELECT distinct ?comment WHERE {
                  SELECT * WHERE { 
                        graph ?g {
                          <[[this]]>  rdfs:comment ?comment .
                      }
                        {
                      SELECT * WHERE { 
                        GRAPH ?ontoGraph { 
                            ?ontology rdf:type owl:Ontology ;
                        }
                      }
                    }
                      FILTER (?g in (?ontoGraph))
                    }
                  }" template="{{>  template}}">
<template id="template">
            {{#each bindings}}
          <p style="padding-left:10px">
            {{comment.value}}
          </p>
          {{/each}}
        </template>
</semantic-query>
</template>
<template id="else">
<p style="padding-left:10px">[[i18n "no_ontology" bundle="languages/resource_system_fields_field" locale=this.lang]]</p>
</template>
</semantic-if>
<semantic-query query="
            SELECT distinct ?type WHERE {
              SELECT * WHERE { 
                    graph ?g {
                      <[[this]]>  rdf:type ?type .
                  }
                    {
                  SELECT * WHERE { 
                    GRAPH ?ontoGraph { 
                        ?ontology rdf:type owl:Ontology ;

                    }
                  }
                }
                  FILTER (?g in (?ontoGraph))
                }
              }" template="{{>  template}}">
<template id="template">
<p>
<b>
       [[i18n "property_type" bundle="languages/resource_system_fields_field" locale=this.lang]]
      </b>
      {{#each bindings}}
      <p style="padding-left:10px">
<mp-label iri="{{type.value}}">
</mp-label>
</p>
      {{/each}}
     </p>
</template>
</semantic-query>
<semantic-query query="
            SELECT distinct ?ontology ?ontoDescription WHERE {

              SELECT * WHERE { 
                    graph ?g {
                      <[[this]]>  ?p ?o .  
                  }
                    {
                  SELECT * WHERE { 
                    GRAPH ?ontoGraph { 
                        ?ontology rdf:type owl:Ontology .
                        OPTIONAL { ?ontology rdfs:comment ?ontoDescription }
                    }
                  }
                }
                  FILTER (?g in (?ontoGraph))
                }
              }" template="{{>  template}}">
<template id="template">
<p>
<b>
       [[i18n "source_ontology" bundle="languages/resource_system_fields_field" locale=this.lang]]
      </b>
</p>
<p style="padding-left:10px">
      {{bindings.0.ontology.value}}
     </p>
     [[#if bindings.0.ontoDescription "!==" ""]]
     <p>
<b>
       [[i18n "about_the" bundle="languages/resource_system_fields_field" locale=this.lang]]
      </b>
</p>
<p style="padding-left:10px">
      {{bindings.0.ontoDescription.value}}
     </p>
     [[/if]]
    </template>
</semantic-query>
</bs-tab>
<bs-tab event-key="1" title="[[i18n 'taxonomy' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<bs-row>
<bs-col md="6">
<mp-collapsible-div>
<mp-collapsible-div-trigger>
<b>
        [[i18n "subproperties" bundle="languages/resource_system_fields_field" locale=this.lang]]
       </b>
</mp-collapsible-div-trigger>
<mp-collapsible-div-content>
<semantic-table no-result-template="<i> No subproperties.</i>" number-of-displayed-rows="5" options='{
                                             "showTableHeading":false,
                                             "filterPlaceholderText":"Filter Subproperteis"
                                             }' query='SELECT DISTINCT ?Subproperty ?Relation WHERE { 
                                              {
                                                ?Subproperty rdfs:subPropertyOf <[[this]]>  . 
                                                BIND("direct" as ?Relation)
                                              } UNION {
                                                ?Subproperty rdfs:subPropertyOf+ <[[this]]>  . 
                                                BIND("inferred" as ?Relation)
                                                FILTER NOT EXISTS { ?Subproperty rdfs:subPropertyOf <[[this]]>  } 
                                              }
                                              FILTER( !isBlank(?Subproperty))
                                           }'>
</semantic-table>
</mp-collapsible-div-content>
</mp-collapsible-div>
<mp-collapsible-div>
<mp-collapsible-div-trigger>
<b>
        [[i18n "superproperties" bundle="languages/resource_system_fields_field" locale=this.lang]]
       </b>
</mp-collapsible-div-trigger>
<mp-collapsible-div-content>
<semantic-table no-result-template="<i> No superproperties.</i>" number-of-displayed-rows="5" options='{
                                             "showTableHeading":false, 
                                             "filterPlaceholderText":"Filter Superproperties"
                                             }' query='SELECT DISTINCT ?Superproperty ?Relation WHERE { 
                                            { 
                                              <[[this]]>  rdfs:subPropertyOf ?Superproperty . 
                                              BIND("direct" as ?Relation)
                                            } UNION {
                                              <[[this]]>  rdfs:subPropertyOf+ ?Superclass . 
                                              BIND("inferred" as ?Relation)
                                              FILTER NOT EXISTS { <[[this]]>  rdfs:subPropertyOf ?Superproperty } 
                                            }
                                            FILTER( !isBlank(?Superproperty))
                                          }'>
</semantic-table>
</mp-collapsible-div-content>
</mp-collapsible-div>
</bs-col>
<bs-col md="6">
<semantic-tree collapsed="true" keys-opened='["[[this]]"]' nodebindingname="node" parentbindingname="parent" query="
                            SELECT DISTINCT ?node ?parent WHERE {
                              { <[[this]]>  rdfs:subPropertyOf* ?node. }
                              UNION
                              { ?node rdfs:subPropertyOf* <[[this]]>  . }
                              OPTIONAL { ?node rdfs:subPropertyOf ?parent. FILTER(ISIRI(?parent)) }
                              FILTER(ISIRI(?node))
                            }
                            ORDER BY ?node">
</semantic-tree>
</bs-col>
</bs-row>
</bs-tab>
<bs-tab event-key="2" title="[[i18n 'domains_and' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<mp-collapsible-div>
<mp-collapsible-div-trigger>
<span>
      [[i18n "domains_for" bundle="languages/resource_system_fields_field" locale=this.lang]]
      <b>
       "<mp-label iri="[[this]]"></mp-label>"
      </b>
</span>
</mp-collapsible-div-trigger>
<mp-collapsible-div-content>
<semantic-table no-result-template="<i> No classes within the domain of this property." number-of-displayed-rows="5" options='{"showTableHeading":false, "filterPlaceholderText":"Filter Properties"}' query="SELECT DISTINCT ?domain WHERE { <[[this]]>  rdfs:domain ?domain }">
</semantic-table>
</mp-collapsible-div-content>
</mp-collapsible-div>
<mp-collapsible-div>
<mp-collapsible-div-trigger>
<span>
      [[i18n "ranges_for" bundle="languages/resource_system_fields_field" locale=this.lang]]
      <b>
       "<mp-label iri="[[this]]"></mp-label>"
      </b>
</span>
</mp-collapsible-div-trigger>
<mp-collapsible-div-content>
<semantic-table no-result-template="<i> No classes or datatypes within the range this property." number-of-displayed-rows="5" options='{"showTableHeading":false, "filterPlaceholderText":"Filter Properties"}' query="SELECT DISTINCT ?range WHERE { <[[this]]>  rdfs:range ?range }">
</semantic-table>
</mp-collapsible-div-content>
</mp-collapsible-div>
</bs-tab>
<bs-tab event-key="3" title="[[i18n 'usage' bundle='languages/resource_system_fields_field' locale=this.lang]]">
<semantic-query query="SELECT  (COUNT(*) as ?number) WHERE{ {SELECT * WHERE{ ?Subject <[[this]]>  ?Object. FILTER(ISIRI(?Subject) && [[#if checkfn]][[checkfn]][[else]]!isBlank[[/if]](?Object)) }   LIMIT 1000 } }" template='{{#each bindings}}{{#ifCond number.value ">" 0}} 
                                    	{{#ifCond number.value "> =" 1000}}<bs-alert bs-style="warning">  The table below is limited to show only a preview of <strong> 1000 triples</strong> . However, the absolute number of triples with the property <strong> [[this.label]]</strong>  in predicate position seems to be larger. </bs-alert> {{else}} <bs-alert bs-style="info">  <strong> {{number.value}}</strong>  triples with the property <strong> [[this.label]]</strong>  in predicate position. Blank nodes are not considered.</bs-alert>  {{/ifCond}}{{/ifCond}}{{/each}} '>
</semantic-query>
<semantic-table no-result-template='<i>"<mp-label iri="[[this]]"> </mp-label>" is not used in any predicate position. Blank nodes are not considered.</i> ' query="SELECT ?Subject ?Object WHERE { ?Subject <[[this]]>  ?Object. FILTER(ISIRI(?Subject) && [[#if checkfn]][[checkfn]][[else]]!isBlank[[/if]](?Object))} LIMIT 1000">
</semantic-table>
</bs-tab>
</bs-tabs>
</div>
[[/if]]
